{ lib, ... }: {
  # This file was populated at runtime with the networking
  # details gathered from the active system.
  networking = {
    nameservers = [
      "67.207.67.2"
      "67.207.67.3"
    ];
    defaultGateway = "64.227.48.1";
    defaultGateway6 = "2604:a880:2:d1::1";
    dhcpcd.enable = false;
    usePredictableInterfaceNames = lib.mkForce true;
    interfaces = {
      eth0 = {
        ipv4.addresses = [
          { address="64.227.53.16"; prefixLength=20; }
{ address="10.46.0.6"; prefixLength=16; }
        ];
        ipv6.addresses = [
          { address="2604:a880:2:d1::258:c001"; prefixLength=64; }
{ address="fe80::c431:d0ff:fe78:18c3"; prefixLength=64; }
        ];
        ipv4.routes = [ { address = "64.227.48.1"; prefixLength = 32; } ];
        ipv6.routes = [ { address = "2604:a880:2:d1::1"; prefixLength = 32; } ];
      };
      
    };
  };
  services.udev.extraRules = ''
    ATTR{address}=="c6:31:d0:78:18:c3", NAME="eth0"
    
  '';
}
